>From 0ecdfa2b7c3c672b5cdb49446e4a0eb039b82639 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Urba=C5=84ski?= <wulczer@wulczer.org>
Date: Sun, 2 Jan 2011 11:38:51 +0100
Subject: [PATCH 13/16] Free plan values in the PLyPlanObject dealloc function.

---
 src/pl/plpython/plpython.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/src/pl/plpython/plpython.c b/src/pl/plpython/plpython.c
index 7002b7e..38820c7 100644
--- a/src/pl/plpython/plpython.c
+++ b/src/pl/plpython/plpython.c
@@ -2666,6 +2666,7 @@ PLy_plan_new(void)
 	ob->plan = NULL;
 	ob->nargs = 0;
 	ob->types = NULL;
+	ob->values = NULL;
 	ob->args = NULL;
 
 	return (PyObject *) ob;
@@ -2681,6 +2682,8 @@ PLy_plan_dealloc(PyObject *arg)
 		SPI_freeplan(ob->plan);
 	if (ob->types)
 		PLy_free(ob->types);
+	if (ob->values)
+		PLy_free(ob->values);
 	if (ob->args)
 	{
 		int			i;
-- 
1.7.2.3

